Mail archive
alpine-aports

[alpine-aports] [PATCH 5/5] testing/stack: new aport

From: Mitch Tishmack <mitch.tishmack_at_gmail.com>
Date: Thu, 14 Jul 2016 21:53:23 -0500

---
 testing/stack/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100755 testing/stack/APKBUILD
diff --git a/testing/stack/APKBUILD b/testing/stack/APKBUILD
new file mode 100755
index 0000000..33afe5e
--- /dev/null
+++ b/testing/stack/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Mitch Tishmack <mitch.tishmack_at_gmail.com>
+# Maintainer: Mitch Tishmack <mitch.tishmack_at_gmail.com>
+pkgname=stack
+pkgver=1.1.2
+pkgrel=0
+pkgdesc="The Haskell Tool Stack"
+url="https://github.com/commercialhaskell/stack"
+arch="x86_64 armhf"
+license="bsd3"
+depends="ca-certificates"
+makedepends="bash ghc ghc-dev cabal pcre-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/commercialhaskell/stack/archive/v$pkgver.tar.gz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+# Where we have cabal store our sandbox
+buildtmp="$_builddir/tmp"
+build() {
+	cd "$_builddir"
+	install -d "$buildtmp"
+	(
+		export PATH="${PATH}:$buildtmp/.cabal/bin"
+		export HOME="$buildtmp"
+		cabal update || return 1
+		cabal install -fstatic --ghc-option=-fllvm --constraint 'http-client < 0.5' || return 1
+	)
+}
+
+package() {
+	cd "$_builddir"
+	install -d "$pkgdir/usr/bin" || return 1
+	pkg_stack="$buildtmp/.cabal/bin/$pkgname"
+	install -m755 "$pkg_stack" "$pkgdir/usr/bin" || return 1
+	install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+}
+md5sums="7150fa22bfdb23e07457335fd6853cd9  stack-1.1.2.tar.gz"
+sha256sums="8f43d69a00a8861b156705a634e55179524cefbd98e6c29182e7bdcb57d8b3be  stack-1.1.2.tar.gz"
+sha512sums="e206ada405ba7fb0fd05a5cce6391b83b858b789323ccb0547c90bcfad4bd9d33d82c5dcc25ad7174c0de4eb7643e5d1f2bf657079efaa8883a060f73c6a57ab  stack-1.1.2.tar.gz"
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jul 14 2016 - 21:53:23 GMT